Account Aggregator - FI Status API
This document highlights the Account Aggregator - FI Status API details.
API Description
Objective
The Account Aggregator - FI Status API checks the status of the financial data request submitted the Account Aggregator. It helps determine whether the data retrieval process is complete or still in progress.
API URL
https://ind-engine.thomas.hyperverge.co/v1/AAFIStatus
API Endpoint
AAFIStatus
Overview
The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.
Method - POST
Authentication
You need a unique pair of application ID ( appId ) and application key (appKey) from HyperVerge to verify your identity for accessing the API.
| Parameter | Mandatory or Optional | Description | Allowed Values |
|---|---|---|---|
| content-type | Mandatory | This parameter defines the media type for the request payload | application/json |
| appId | Mandatory | The application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab. | This should be a unique value. |
| appKey | Mandatory | The application key shared by HyperVerge. You can find the details in the dashboard's credentials tab. | This should be a unique value. |
| transactionId | Mandatory | A unique identifier for tracking a user journey | This should be both unique and easily associated with the user's journey in your application(s) |
Inputs
The following table outlines the parameter required in the API's request body:
| Parameter | Mandatory or Optional | Description | Allowed Values | Default Value |
|---|---|---|---|---|
consentId | Mandatory | The Consent ID received as a response from the second API call | Not Applicable | Not Applicable |
sessionId | Mandatory | The Session ID received as a response from the second API call | Not Applicable | Not Applicable |
consentHandle | Mandatory | The Consent Handle received as a response from the first API call | Not Applicable | Not Applicable |
custId | Mandatory | The 10 digit mobile number of the user | Valid mobile number | Not Applicable |
Authorization | Mandatory | The authorization token received as a response from the first API call | Valid authorization token | Not Applicable |
Request
The following code snippet demonstrates a standard curl request for the API:
curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/AAFIStatus' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"consentId": "<Consent_ID_From_Second_API_Call>",
"sessionId": "<Session_ID_From_Second_API_Call>",
"consentHandle": "<Consent_Handle_From_First_API_Call>",
"custId": "<user_Mobile_Number>",
"Authorization": "<Token_From_First_API_Call>"
}'
Success Response
The following code snippet demonstrates a success response from the API:
{
"status": "success",
"statusCode": "200",
"metaData": {
"requestId": "<Unique_Request_ID>"
},
"result": {
"details": {
"header": {
"rid": "<Unique_Request_ID>",
"ts": "<Timestamp_in_ISO_Format>",
"channelId": "<Channel_ID>"
},
"body": {
"fiRequestStatus": "<FI_Request_Status>",
"accounts": [
{
"linkRefNumber": "<Link_Reference_Number>",
"status": "<Account_Status>"
}
]
}
}
}
}
Success Response Details
The following table outlines the details of the success response from the API:
| Parameter | Type | Description |
|---|---|---|
| status | string | The status of the request |
| statusCode | integer | The HTTP status code of the response |
| requestId | string | A unique identifier for the request |
| rid | string | A unique identifier for the response |
| ts | string | The timestamp of the response |
| channelId | string | The channel through which the request was processed |
| fiRequestStatus | string | The status of the financial information request |
| linkRefNumber | string | A unique reference number for the linked account |
| status | string | The status of the linked account |